<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="981dbcd1-a700-4015-8567-2ccff8e76f0a" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/classes/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/SmartAttendanceControllerAPI.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="437">
              <caret line="41" column="34" selection-start-line="41" selection-start-column="17" selection-end-line="41" selection-end-column="34" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/ScheduleController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2319">
              <caret line="175" column="83" lean-forward="true" selection-start-line="175" selection-start-column="83" selection-end-line="175" selection-end-column="83" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/SmartUserControllerAPI.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2162">
              <caret line="107" column="30" selection-start-line="107" selection-start-column="26" selection-end-line="107" selection-end-column="50" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/DingtalkController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2369">
              <caret line="122" selection-start-line="122" selection-end-line="122" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartDataTaskServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="14835">
              <caret line="679" column="35" selection-start-line="679" selection-start-column="8" selection-end-line="679" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartAuthority.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1288">
              <caret line="70" column="40" selection-start-line="70" selection-start-column="40" selection-end-line="70" selection-end-column="40" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartUserServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="989">
              <caret line="62" column="78" selection-start-line="62" selection-start-column="78" selection-end-line="62" selection-end-column="78" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/SmartUserMapper.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1058">
              <caret line="46" column="35" selection-start-line="46" selection-start-column="16" selection-end-line="46" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>importExcelUsers</find>
      <find>getSmartUserIds</find>
      <find>columnId</find>
      <find>importExcelFamilys</find>
      <find>insertSmartUserPhoto</find>
      <find>changeDepartment</find>
      <find>logoffAccount</find>
      <find>timeGroups</find>
      <find>testDeleteUserById</find>
      <find>affiliateDatas</find>
      <find>deleteSmartUserByIdOld</find>
      <find>queryAffiliateUserById</find>
      <find>downloadUserExcel</find>
      <find>downloadTeacherExcel</find>
      <find>downloadUpdateUserExcel</find>
      <find>queryStudents</find>
      <find>queryUserData</find>
      <find>queryClassUser</find>
      <find>eGroupTime</find>
      <find>getAuthorByKey</find>
      <find>querySmartUserPages</find>
      <find>new PageUtils</find>
      <find>result</find>
      <find>queryPageSmartUser</find>
      <find>希沃班牌</find>
      <find>queryDepartmentTree</find>
      <find>请假</find>
      <find>希沃请假</find>
      <find>xwuid</find>
      <find>queryLeaveRecords</find>
    </findStrings>
    <replaceStrings>
      <replace />
      <replace>logger.info</replace>
    </replaceStrings>
    <dirStrings>
      <dir>D:\Bingo\Desktop\工作内容\万载三中\backend_code\src\main\java\com\template\api</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/DingTalkUtil.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application-dev.yml" />
        <option value="$PROJECT_DIR$/src/main/resources/application-prod.yml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/HttpClientDingUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/DingTalkInterface.java" />
        <option value="$PROJECT_DIR$/wanzai/src/main/java/com/template/controller/SmartUserController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartSubjectController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/log4j2.yml" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/logback-spring.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/LoginController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/TimeExchange2.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/WxUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/HttpsClient.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/Task.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/DBUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/AesTestOne.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/AesUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/ExcelUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/DateUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartUploadServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/SendSms.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/ClassYear.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartClassController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/WechatScanLoginController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/RequestUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartFaceDiscernController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/ExcelUtils2.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/ExcelController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartVisitorController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartScoreManageServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartAuthorGroupController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/GetCameraPreviewURL.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/aop/LoginCheckAspect.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/RSAUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/ScheduleController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/HttpClientUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/WxGzhController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartAttendanceController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/Message2.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/CommonUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/Message.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartEvaluateStudentController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/RepairAdminController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/jh/SectionUtil.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/template/MybatisPlusApplicationTests.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/template/WrapperTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/TimeExchange.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartAuthority.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartUserController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/SmartUserControllerAPI.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\Software\Develop\Maven\repository" />
        <option name="mavenHome" value="D:/Software/Develop/Maven/apache-maven-3.3.9" />
        <option name="userSettingsFile" value="D:\Software\Develop\Maven\apache-maven-3.3.9\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis_plus" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis_plus" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-7" />
    <option name="width" value="974" />
    <option name="height" value="1039" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="core" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RebelAgentSelection">
    <selection>jr</selection>
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\Bingo\Desktop\工作内容\万载三中\backend_code\src\main\resources" />
      <recent name="D:\Bingo\Desktop\工作内容\万载三中\backend_code\src\main\java\com\template\model\seewo" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.template.model.enumModel" />
      <recent name="com.template.model.request" />
      <recent name="com.template.model.vo" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\Bingo\Desktop\工作内容\万载三中\backend_code\src\main\resources\mapper\template" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.MybatisPlusApplication">
    <configuration name="AutoCode" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.AutoCode" />
      <module name="mybatis_plus" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TimeExchange" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.common.utils.TimeExchange" />
      <module name="mybatis_plus" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.common.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MybatisPlusApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="mybatis_plus" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.template.MybatisPlusApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.TimeExchange" />
        <item itemvalue="Application.AutoCode" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="981dbcd1-a700-4015-8567-2ccff8e76f0a" name="Default Changelist" comment="" />
      <created>1712903307839</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1712903307839</updated>
      <workItem from="1712903309092" duration="92665000" />
      <workItem from="1713507889834" duration="7494000" />
      <workItem from="1713599046631" duration="2336000" />
      <workItem from="1713744476558" duration="51564000" />
      <workItem from="1713921895618" duration="1057000" />
      <workItem from="1713938767610" duration="4336000" />
      <workItem from="1713943559192" duration="4009000" />
      <workItem from="1714014236318" duration="15000" />
      <workItem from="1714016597074" duration="1412000" />
      <workItem from="1714267685183" duration="414000" />
      <workItem from="1714268800396" duration="214000" />
      <workItem from="1714269636813" duration="1906000" />
      <workItem from="1714285899093" duration="1447000" />
      <workItem from="1714290635230" duration="147000" />
      <workItem from="1714292233330" duration="18000" />
      <workItem from="1714370355699" duration="3428000" />
      <workItem from="1714985190382" duration="4553000" />
      <workItem from="1715062890965" duration="63350000" />
      <workItem from="1715409360156" duration="784000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="241149000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1048" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" weight="0.27238807" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="JRebel" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="UI Designer" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info id="Web" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32932165" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.45623633" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.5359116" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32932165" />
      <window_info anchor="bottom" id="Spring" order="7" weight="0.32932165" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32932165" />
      <window_info anchor="bottom" id="Docker" order="9" weight="0.32932165" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.5196937" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" weight="0.32932165" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.32932165" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" />
      <window_info anchor="bottom" id="JRebel Console" order="16" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24945295" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.6181619" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="JRebel Setup Guide" order="9" side_tool="true" />
      <window_info anchor="right" id="Bean Validation" order="10" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.17963752" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="JRebel" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="UI Designer" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info id="Web" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32932165" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.45623633" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.43535912" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32932165" />
      <window_info anchor="bottom" id="Spring" order="7" weight="0.32932165" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32932165" />
      <window_info anchor="bottom" id="Docker" order="9" weight="0.32932165" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.5196937" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" weight="0.32932165" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.32932165" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" />
      <window_info anchor="bottom" id="JRebel Console" order="16" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24945295" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.5957684" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="JRebel Setup Guide" order="9" side_tool="true" />
      <window_info anchor="right" id="Bean Validation" order="10" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartDepartmentController.java</url>
          <line>83</line>
          <properties />
          <option name="timeStamp" value="58" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartDepartmentController.java</url>
          <line>314</line>
          <properties />
          <option name="timeStamp" value="113" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartDepartmentController.java</url>
          <line>303</line>
          <properties />
          <option name="timeStamp" value="117" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartScoreController.java</url>
          <line>844</line>
          <properties />
          <option name="timeStamp" value="125" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartScoreController.java</url>
          <line>678</line>
          <properties />
          <option name="timeStamp" value="126" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartUserController.java</url>
          <line>3952</line>
          <properties />
          <option name="timeStamp" value="137" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartUserController.java</url>
          <line>3566</line>
          <properties />
          <option name="timeStamp" value="159" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartUserController.java</url>
          <line>3763</line>
          <properties />
          <option name="timeStamp" value="173" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartVisitorController.java</url>
          <line>458</line>
          <properties />
          <option name="timeStamp" value="177" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartScoreController.java</url>
          <line>154</line>
          <properties />
          <option name="timeStamp" value="178" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/common/utils/TimeExchange2.java</url>
          <line>528</line>
          <properties />
          <option name="timeStamp" value="180" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartDepartmentController.java</url>
          <line>253</line>
          <properties />
          <option name="timeStamp" value="222" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/ClassYear.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="9" column="4" selection-start-line="9" selection-start-column="4" selection-end-line="9" selection-end-column="76" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartClassController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-138">
          <caret line="56" column="4" selection-start-line="56" selection-start-column="4" selection-end-line="56" selection-end-column="87" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/WechatScanLoginController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="63" column="4" lean-forward="true" selection-start-line="63" selection-start-column="4" selection-end-line="63" selection-end-column="92" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/RequestUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="19" column="4" selection-start-line="19" selection-start-column="4" selection-end-line="19" selection-end-column="79" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartFaceDiscernController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-26">
          <caret line="138" column="12" selection-start-line="138" selection-start-column="12" selection-end-line="138" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/ExcelUtils2.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="44" column="44" selection-start-line="44" selection-start-column="44" selection-end-line="44" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/ExcelController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="24" column="44" selection-start-line="24" selection-start-column="44" selection-end-line="24" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/LogInfoController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="14" column="13" selection-start-line="14" selection-start-column="13" selection-end-line="14" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/slf4j/slf4j-api/1.7.30/slf4j-api-1.7.30-sources.jar!/org/slf4j/LoggerFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="7958">
          <caret line="386" column="25" selection-start-line="386" selection-start-column="25" selection-end-line="386" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartScoreManageServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="29" column="40" selection-start-line="29" selection-start-column="40" selection-end-line="29" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartAuthorGroupController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="42" column="85" selection-start-line="42" selection-start-column="85" selection-end-line="42" selection-end-column="85" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/GetCameraPreviewURL.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="21" column="45" selection-start-line="21" selection-start-column="45" selection-end-line="21" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/aop/LoginCheckAspect.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="30" column="42" lean-forward="true" selection-start-line="30" selection-start-column="42" selection-end-line="30" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/RSAUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="23" column="41" selection-start-line="23" selection-start-column="41" selection-end-line="23" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/HttpClientUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="33" column="40" lean-forward="true" selection-start-line="33" selection-start-column="40" selection-end-line="33" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/Message2.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="31" column="44" selection-start-line="31" selection-start-column="44" selection-end-line="31" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/CommonUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="28" column="44" selection-start-line="28" selection-start-column="44" selection-end-line="28" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/Message.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="16" column="41" selection-start-line="16" selection-start-column="41" selection-end-line="16" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartEvaluateStudentController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="33" column="38" selection-start-line="33" selection-start-column="38" selection-end-line="33" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/RepairAdminController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="127">
          <caret line="114" column="41" selection-start-line="114" selection-start-column="41" selection-end-line="114" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/jh/SectionUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="127">
          <caret line="241" column="21" selection-start-line="241" selection-start-column="21" selection-end-line="241" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/template/MybatisPlusApplicationTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="127">
          <caret line="21" column="8" selection-start-line="21" selection-start-column="8" selection-end-line="21" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application-dev.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-684" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/template/WrapperTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="15" column="37" selection-start-line="15" selection-start-column="37" selection-end-line="15" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/LoginController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="552">
          <caret line="49" column="12" selection-start-line="49" selection-start-column="12" selection-end-line="49" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wanzai/src/main/java/com/template/controller/SmartUserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="3024" column="20" selection-start-line="3024" selection-start-column="20" selection-end-line="3024" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartDepartment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="543">
          <caret line="42" column="23" selection-start-line="42" selection-start-column="19" selection-end-line="42" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-core/5.3.1/spring-core-5.3.1-sources.jar!/org/springframework/cglib/proxy/MethodProxy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="259">
          <caret line="219" selection-start-line="219" selection-end-line="219" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartNotificationController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="317">
          <caret line="36" column="31" selection-start-line="36" selection-start-column="12" selection-end-line="36" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/TimeExchange.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="273">
          <caret line="785" column="28" selection-start-line="785" selection-start-column="28" selection-end-line="785" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/seewo/TeacherServiceBatchSaveOrUpdateTeacherParam.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="318">
          <caret line="120" column="37" selection-start-line="120" selection-start-column="37" selection-end-line="120" selection-end-column="37" />
          <folding>
            <element signature="e#3137#3138#0" expanded="true" />
            <element signature="e#3185#3186#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/DingTalkInterface.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="295">
          <caret line="45" column="22" selection-start-line="45" selection-start-column="22" selection-end-line="45" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/WxGzhController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="42" column="40" selection-start-line="42" selection-start-column="40" selection-end-line="42" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SystemMenuController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="56" lean-forward="true" selection-start-line="56" selection-end-line="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartAuthorityServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="592">
          <caret line="67" column="69" selection-start-line="67" selection-start-column="59" selection-end-line="67" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/pojo/RepairAdmin.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="585">
          <caret line="79" column="4" selection-start-line="79" selection-start-column="4" selection-end-line="81" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/enumModel/eApproveStatu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="10" column="4" selection-start-line="10" selection-start-column="4" selection-end-line="10" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartDepartmentController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6532">
          <caret line="320" column="29" selection-start-line="320" selection-start-column="29" selection-end-line="320" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartUserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="97934">
          <caret line="4258" column="132" selection-start-line="4258" selection-start-column="11" selection-end-line="4258" selection-end-column="132" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/SmartUserControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2162">
          <caret line="107" column="30" selection-start-line="107" selection-start-column="26" selection-end-line="107" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/DingtalkController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2369">
          <caret line="122" selection-start-line="122" selection-end-line="122" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartDataTaskServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="14835">
          <caret line="679" column="35" selection-start-line="679" selection-start-column="8" selection-end-line="679" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartAuthority.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1288">
          <caret line="70" column="40" selection-start-line="70" selection-start-column="40" selection-end-line="70" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartUserServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="989">
          <caret line="62" column="78" selection-start-line="62" selection-start-column="78" selection-end-line="62" selection-end-column="78" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/SmartUserMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1058">
          <caret line="46" column="35" selection-start-line="46" selection-start-column="16" selection-end-line="46" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/seewo/AttendanceServiceListAttendClassRecordsResult.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="479">
          <caret line="135" column="26" lean-forward="true" selection-start-line="135" selection-start-column="26" selection-end-line="135" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/ScheduleController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2319">
          <caret line="175" column="83" lean-forward="true" selection-start-line="175" selection-start-column="83" selection-end-line="175" selection-end-column="83" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wanzai/src/main/java/com/template/model/pojo/SmartAttendance.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="318">
          <caret line="87" column="24" selection-start-line="87" selection-start-column="19" selection-end-line="87" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartAttendanceController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1732">
          <caret line="93" column="41" selection-start-line="93" selection-start-column="24" selection-end-line="93" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartVisitorController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3568">
          <caret line="443" column="9" selection-start-line="443" selection-start-column="9" selection-end-line="443" selection-end-column="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/SmartAttendanceControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="41" column="34" selection-start-line="41" selection-start-column="17" selection-end-line="41" selection-end-column="34" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
  <component name="mavenExecuteGoalHistory">
    <option value="$PROJECT_DIR$" />
    <option value="install:install-file &quot;-Dfile=D:\Bingo\Desktop\工作内容\万载三中\希沃\open-sdk-java-2.2.3.jar&quot; &quot;-DgroupId=open.platform&quot; &quot;-DartifactId=platform&quot; &quot;-Dversion=1.0&quot; &quot;-Dpackaging=jar&quot;" />
  </component>
</project>